%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/nathan-osman/go-sunrise
Version:                1.1.0

%gometa


%global common_description %{expand:
Go package for calculating the sunrise and sunset times for a given location.}

%global golicenses      LICENSE.txt
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go package for calculating the sunrise and sunset times for a given location

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
